<% @page_title = "edit #{@picture.title} from #{@picture.gallery.name}" %>


<% content_for 'tasks' do %>
  <li>
    <%= link_to 'List of Pictures', admin_pictures_url %>
  </li>
  <li>
    <%= link_to "Edit gallery #{@picture.gallery.name}", edit_admin_gallery_url(@picture.gallery) %>
  </li>
  <li>
    <%= link_to "See Picture #{@picture.title}", admin_picture_url(@picture) %>
  </li>

<% end %>

<h2>Manage Pictures</h2>

<h3>Editing Pictures</h3>

<%= error_messages_for :picture %>

<% form_for [:admin, @picture.gallery, @picture] do |f| %>
  <fieldset class="set admin" style="display:block;">
    <ul>
      <li>
        <%= image_tag @picture.public_filename %>
      </li>
      <li>
        <label class="float" for="gallery_id">Gallery :</label>
        <%= @picture.gallery.name %>
        <%= f.hidden_field :gallery_id %>
      </li>
      <li>
        <label class="block" for="title">Title :</label>
        <%= f.text_field :title %>
      </li>
      <li>
        <label class="block" for="description">Description :</label>
        <%= f.text_area :description, :style => 'width : 100%' %>
      </li>
      <li>
        <label class="float" for="status">Status :</label>
        <%= f.check_box :status %>
      </li>
      <li class="r">
        <%= f.submit 'Save &#187;', {:class=>'submit'} %>
      </li>
    </ul>
  </fieldset>
<% end %>

